# objectValues

## Description

Creates an array/list of the attribute/property values of an object.

## Input / Parameter

| Name   | Description                                      | Input Type | Default | Options | Required |
| ------ | ------------------------------------------------ | ---------- | ------- | ------- | -------- |
| object | The object to get the attribute/property values. | Object     | -       | -       | Yes      |

## Output

| Description                                              | Output Type |
| -------------------------------------------------------- | ----------- |
| Returns the array/list of the attribute/property values. | Array/List  |

## Callback

N/A

## Video

## Example

![](/files/QZ7PHc6VzbQI95GeKjSG)

Given the above object, `objectValues` function will return this list:

```JS
["John", "john@example.com", "23", "123456"]
```

## Links

* See also `objectKeys` and `objectAttr`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/object/objectvalues.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
